Index: codecs/codec_ilbc.c
===================================================================
--- codecs/codec_ilbc.c	(revision 378966)
+++ codecs/codec_ilbc.c	(working copy)
@@ -84,7 +84,8 @@
 	int plc_mode = 1; /* 1 = normal data, 0 = plc */
 	/* Assuming there's space left, decode into the current buffer at
 	   the tail location.  Read in as many frames as there are */
-	int x,i;
+	int x, i;
+	int datalen = f->datalen;
 	int16_t *dst = pvt->outbuf.i16;
 	float tmpf[ILBC_SAMPLES];
 
@@ -94,18 +95,18 @@
 	}
 
 	if (f->datalen == 0) { /* native PLC, set fake f->datalen and clear plc_mode */
-		f->datalen = ILBC_FRAME_LEN;
+		datalen = ILBC_FRAME_LEN;
 		f->samples = ILBC_SAMPLES;
 		plc_mode = 0;	/* do native plc */
 		pvt->samples += ILBC_SAMPLES;
 	}
 
-	if (f->datalen % ILBC_FRAME_LEN) {
+	if (datalen % ILBC_FRAME_LEN) {
 		ast_log(LOG_WARNING, "Huh?  An ilbc frame that isn't a multiple of 50 bytes long from %s (%d)?\n", f->src, f->datalen);
 		return -1;
 	}
 	
-	for (x=0; x < f->datalen ; x += ILBC_FRAME_LEN) {
+	for (x=0; x < datalen ; x += ILBC_FRAME_LEN) {
 		if (pvt->samples + ILBC_SAMPLES > BUFFER_SAMPLES) {	
 			ast_log(LOG_WARNING, "Out of buffer space\n");
 			return -1;
